Update auto-top-up settings
curl --request PUT \
--url https://billing.runtools.ai/v1/billing/auto-topup \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"orgId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"enabled": true,
"thresholdCents": 123,
"topupAmountCents": 123
}
'import requests
url = "https://billing.runtools.ai/v1/billing/auto-topup"
payload = {
"orgId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"enabled": True,
"thresholdCents": 123,
"topupAmountCents": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
orgId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
enabled: true,
thresholdCents: 123,
topupAmountCents: 123
})
};
fetch('https://billing.runtools.ai/v1/billing/auto-topup', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Billing
Update auto-top-up settings
PUT
/
v1
/
billing
/
auto-topup
Update auto-top-up settings
⌘I